Get customer
Customers
Get customer
Get an existing customer
GET
Get customer
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Customer ID
Pattern:
^cus_[a-zA-Z0-9]{27}$Example:
"cus_2ofTA13AD0xBtbEvBl20aEb1hEu"
Response
The retrieved customer object
Complete customer schema
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum array length:
1Minimum string length:
1Address information
Example:
{
"streetLine1": "123 Main St",
"streetLine2": "Suite 100",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
}Address information
Example:
{
"streetLine1": "123 Main St",
"streetLine2": "Suite 100",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
}- Bank Payment Method Response
- Option 2
Example:
{
"id": "bank_1234",
"type": "bank",
"rail": ["fedwire"],
"bankName": "Bank of America",
"accountOwnerName": "John Doe",
"accountNumber": "1234567890",
"currency": "USD",
"routingNumber": "1234567890",
"status": "enabled",
"address": {
"streetLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"entity": {
"id": "cp_1234567890123456789012345",
"name": "Mark Davis",
"entityType": "individual",
"complianceEntityType": "counterparty"
}
}A valid Customer ID
Pattern:
^cus_[a-zA-Z0-9]{27}$Example:
"cus_2ofTA13AD0xBtbEvBl20aEb1hEu"
The type of entity
Available options:
Bank, Insurance Company, Securities Broker or Dealer, Investment Company or other Passive Investment Vehicle, Trust Company, Hedge Fund, Other Example:
"Bank"
Available options:
active, in_compliance_review, compliance_rejected, created, kyb_in_progress, kyb_expired, kyb_missing_information, account_onboarding_pending, failed_to_create 
